﻿namespace EventAggregatorPattern
{
    using System.Web.Mvc;

    [HandleError]
    public class HomeController : Controller
    {
        private readonly IEventAggregator _eventAggregator;

        public HomeController(IEventAggregator eventAggregator)
        {
            _eventAggregator = eventAggregator;
        }

        public ActionResult Index()
        {
            var story = new Story{ PostedBy = new User() };

            _eventAggregator.GetEvent<StorySubmitEvent>().Publish(new StorySubmitEventArgs(story, string.Empty));

            ViewData["Message"] = "Welcome to ASP.NET MVC!";

            return View();
        }

        public ActionResult About()
        {
            return View();
        }
    }
}