namespace EventAggregatorPattern
{
    using System;

    public class SendTweet : BaseBackgroundTask
    {
        private SubscriptionToken _storySubmitToken;

        public SendTweet(IEventAggregator eventAggregator) : base(eventAggregator)
        {
        }

        protected override void OnStart()
        {
            if (!IsRunning)
            {
                _storySubmitToken = Subscribe<StorySubmitEvent, StorySubmitEventArgs>(StorySubmitted);
            }
        }

        protected override void OnStop()
        {
            if (IsRunning)
            {
                Unsubscribe<StorySubmitEvent>(_storySubmitToken);
            }
        }

        private void StorySubmitted(StorySubmitEventArgs eventArgs)
        {
            UpdateStatus(eventArgs.Story);
        }

        private void UpdateStatus(Story story)
        {
            //Update Twitter status goes here
            Console.WriteLine(story.ToString());
        }
    }
}