namespace EventAggregatorPattern
{
    using System.Web.Mvc;
    using System.Web.Routing;

    public class RegisterRoutes : IBootstrapperTask
    {
        private readonly RouteCollection _routes;

        public RegisterRoutes(RouteCollection routes)
        {
            _routes = routes;
        }

        public void Execute()
        {
            _routes.Clear();

            _routes.IgnoreRoute("{resource}.axd/{*pathInfo}");
            _routes.MapRoute("Default", "{controller}/{action}/{id}", new { controller = "Home", action = "Index", id = "" });
        }
    }
}