namespace EventAggregatorPattern
{
    public class StartBackgroundTasks : IBootstrapperTask
    {
        private readonly IBackgroundTask[] _tasks;

        public StartBackgroundTasks(IBackgroundTask[] tasks)
        {
            _tasks = tasks;
        }

        public void Execute()
        {
            foreach(IBackgroundTask task in _tasks)
            {
                task.Start();
            }
        }
    }
}